"use strict";

const { validateValue } = require("@validatem/core");
const hasLengthBetween = require("./");

console.log(validateValue("foo", [ hasLengthBetween(2, 5) ])); // foo

console.log(validateValue("foo bar", [ hasLengthBetween(2, 5) ])); /*
	AggregrateValidationError: One or more validation errors occurred:
	 - At (root): Must have a length between 2 and 5; actual length was 7
*/
